
function Skinner:OneBag()
	if not self.db.profile.ContainerFrames or self.initialized.OneBag then return end
	self.initialized.OneBag = true   
	
	OneBagFrame:SetBackdropColor(self.db.profile.Backdrop.r, self.db.profile.Backdrop.g, self.db.profile.Backdrop.b, self.db.profile.Backdrop.a)
	OBBagFram:SetBackdropColor(self.db.profile.Backdrop.r, self.db.profile.Backdrop.g, self.db.profile.Backdrop.b, self.db.profile.Backdrop.a)

	self:applySkin(OneBagFrame)
	self:applySkin(OBBagFram)

	-- hook these to stop the Backdrop colours from being changed 
	self:Hook(OneBagFrame, "SetBackdropColor", function(r, g, b, a) end, true)
	self:Hook(OBBagFram, "SetBackdropColor", function(r, g, b, a) end, true)
	
	if OneRingFrame then 
		self:applySkin(OneRingFrame) 
		self:Hook(OneRingFrame, "SetBackdropColor", function(r, g, b, a) end, true)
	end

	if OneViewFrame then 
		self:applySkin(OneViewFrame)
		self:Hook(OneViewFrame, "SetBackdropColor", function(r, g, b, a) end, true)
	end
     
end
